# PSF-LoginServer - master - net.psforever.objects.Deployables
PSF - LoginServer - master - net.psforever.objects.Deployables
Keywords: PSF LoginServer master net.psforever.objects.Deployables

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package avatar
  Definition Classes
    objects
-  package ballistics
  Definition Classes
    objects
-  package ce
  Definition Classes
    objects
-  package definition
  Definition Classes
    objects
-  package entity
  Definition Classes
    objects
-  package equipment
  Definition Classes
    objects
-  package geometry
  Definition Classes
    objects
-  package guid
  Definition Classes
    objects
-  package inventory
  Definition Classes
    objects
-  package loadouts
  Definition Classes
    objects
-  package locker
  Definition Classes
    objects
-  package serverobject
  Definition Classes
    objects
-  package teamwork
  Definition Classes
    objects
-  package vehicles
  Definition Classes
    objects
-  package vital
  Definition Classes
    objects
-  package zones
  Definition Classes
    objects
- Account
- AmmoBox
- BoomerDeployable
- BoomerDeployableControl
- BoomerDeployableDefinition
- BoomerTrigger
- CommonNtuContainer
- ConstructionItem
- Default
- Deployables
- ExplosiveDeployable
- ExplosiveDeployableControl
- ExplosiveDeployableDefinition
- GlobalDefinitions
- Kit
- LivePlayerList
- LocalLockerItem
- LocalProjectile
- MineDeployableControl
- Ntu
- NtuContainer
- NtuContainerDefinition
- NtuStorageBehavior
- ObjectType
- OffhandEquipmentSlot
- OwnableByPlayer
- PlanetSideGameObject
- Player
- Players
- SensorDeployable
- SensorDeployableControl
- SensorDeployableDefinition
- Session
- ShieldGeneratorControl
- ShieldGeneratorDefinition
- ShieldGeneratorDeployable
- SimpleItem
- SpawnPoint
- SpawnPointDefinition
- SpecialEmp
- Telepad
- TelepadControl
- TelepadDeployable
- TelepadDeployableControl
- TelepadDeployableDefinition
- Tool
- Tools
- TrapDeployable
- TrapDeployableControl
- TrapDeployableDefinition
- TurretControl
- TurretDeployable
- TurretDeployableDefinition
- Vehicle
- Vehicles

o

net.psforever.objects

# Deployables

###

#### object Deployables

Source
  Deployables.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Deployables
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AnnounceDestroyDeployable(target: Deployable): Unit

   Distribute information that a deployable has been destroyed.

   Distribute information that a deployable has been destroyed. The deployable may not have yet been eliminated from the game world (client or server), but its health is zero and it has entered the conditions where it is nearly irrelevant.
   The typical use case of this function involves destruction via weapon fire, attributed to a particular player. Contrast this to simply destroying a deployable by being the deployable's owner and using the map icon controls. This function eventually invokes the same routine but mainly goes into effect when the deployable has been destroyed and may still leave a physical component in the game world to be cleaned up later.

   target

     the deployable that is destroyed

   See also

     `DeployableInfo`

     `DeploymentAction`

     `LocalAction.DeployableMapIcon`

5.  def AnnounceDestroyDeployable(target: Deployable, time: Option[FiniteDuration]): Unit

   Distribute information that a deployable has been destroyed.

   Distribute information that a deployable has been destroyed. Additionally, since the player who destroyed the deployable isn't necessarily the owner, and the real owner will still be aware of the existence of the deployable, that player must be informed of the loss of the deployable directly.

   target

     the deployable that is destroyed

   time

     length of time that the deployable is allowed to exist in the game world; `None` indicates the normal un-owned existence time (180 seconds)

   See also

     `AnnounceDestroyDeployable(Deployable)`

     `Deployable.Deconstruct`

6.  def Disown(zone: Zone, avatar: Avatar, replyTo: ActorRef): List[Deployable]

   Collect all deployables previously owned by the player, dissociate the avatar's globally unique identifier to remove turnover ownership, and, on top of performing the above manipulations, dispose of any boomers discovered.

   Collect all deployables previously owned by the player, dissociate the avatar's globally unique identifier to remove turnover ownership, and, on top of performing the above manipulations, dispose of any boomers discovered. (`BoomerTrigger` objects, the companions of the boomers, should be handled by an external implementation if they had not already been handled by the time this function is executed.)

   returns

     all previously-owned deployables after they have been processed; boomers are listed before all other deployable types

7.  def InitializeDeployableQuantities(avatar: Avatar): Boolean

   Initialize the deployables backend information.

   Initialize the deployables backend information.

   avatar

     the player's core

8.  def InitializeDeployableUIElements(avatar: Avatar): List[(Int, Int, Int, Int)]

   Initialize the UI elements for deployables.

   Initialize the UI elements for deployables.

   avatar

     the player's core

9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def constructionItemPermissionComparison(sample: Set[Certification], test: Set[Certification]): Boolean

    Compare sets of certifications to determine if the requested `Engineering`-like certification requirements of the one group can be found in a another group.

    Compare sets of certifications to determine if the requested `Engineering`-like certification requirements of the one group can be found in a another group.

    sample

      the certifications to be compared against

    test

      the desired certifications

    returns

      `true`, if the desired certification requirements are met; `false`, otherwise

    See also

      `CertificationType`

12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def initializeConstructionAmmoMode(certs: Set[Certification], obj: ConstructionItem): Boolean

    If the default ammunition mode for the `ConstructionTool` is not supported by the given certifications, find a suitable ammunition mode and switch to it internally.

    If the default ammunition mode for the `ConstructionTool` is not supported by the given certifications, find a suitable ammunition mode and switch to it internally. No special complaint is raised if the `ConstructionItem` itself is completely unsupported.

    certs

      the certification baseline being compared against

    obj

      the `ConstructionItem` entity

    returns

      `true`, if the ammunition mode of the item has been changed; `false`, otherwise

18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def performConstructionItemAmmoChange(certs: Set[Certification], obj: ConstructionItem, originalAmmoIndex: Int): Boolean

    The custom behavior responding to the packet `ChangeAmmoMessage` for `ConstructionItem` game objects.

    The custom behavior responding to the packet `ChangeAmmoMessage` for `ConstructionItem` game objects. Iterate through sub-modes corresponding to a type of "deployable" as ammunition for this fire mode and check each of these sub-modes for their certification requirements to be met before they can be used. Additional effort is exerted to ensure that the requirements for the given ammunition are satisfied. If no satisfactory combination is achieved, the original state will be restored.

    certs

      the certification baseline being compared against

    obj

      the `ConstructionItem` entity

    originalAmmoIndex

      the starting point ammunition type mode index

    returns

      `true`, if the ammunition mode of the item has been changed; `false`, otherwise

    See also

      `Certification`

      `ChangeAmmoMessage`

      `ConstructionItem.ModePermissions`

      `Deployables.constructionItemPermissionComparison`

23.  def performConstructionItemFireModeChange(certs: Set[Certification], obj: ConstructionItem, originalModeIndex: Int): Boolean

    The custom behavior responding to the message `ChangeFireModeMessage` for `ConstructionItem` game objects.

    The custom behavior responding to the message `ChangeFireModeMessage` for `ConstructionItem` game objects. Each fire mode has sub-modes corresponding to a type of "deployable" as ammunition and each of these sub-modes have certification requirements that must be met before they can be used. Additional effort is exerted to ensure that the requirements for the given mode and given sub-mode are satisfied. If no satisfactory combination is achieved, the original state will be restored.

    certs

      the certification baseline being compared against

    obj

      the `ConstructionItem` entity

    originalModeIndex

      the starting point fire mode index

    returns

      `true`, if the ammunition mode of the item has been changed; `false`, otherwise

    See also

      `Deployables.constructionItemPermissionComparison`

      `Deployables.performConstructionItemAmmoChange`

      `FireModeSwitch.NextFireMode`

24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
29.  object Make

### Inherited from AnyRef

### Inherited from Any

### Ungrouped